Bug 144328 - C-SPC not passed to shell?
Summary: C-SPC not passed to shell?
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-05 23:40 UTC by John Morris
Modified: 2008-02-03 22:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 22:22:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Morris 2005-01-05 23:40:07 UTC
Description of problem:

C-SPC isn't passed to programs running in gnome terminal; most
importantly, to emacs.

Version-Release number of selected component (if applicable):

gnome-terminal-2.7.3-1

How reproducible:

always

Steps to Reproduce:
1.  Start emacs -nw in gnome terminal
2.  Type C-SPC
3.  Should see 'Mark set' in minibuffer, but don't

Thank you!!!

Comment 1 Sitsofe Wheeler 2005-01-06 09:09:11 UTC
Isn't ctrl-space some magic key in GNOME (maybe open menu or something)? What happens if you go to the gnome-terminal preferences and ensure that all keyboard shortcuts are passed through?

Comment 2 John Morris 2005-01-06 16:48:37 UTC
I've ensured that any C-SPC shortcut is turned off in the 'Edit/Keyboard
shortcuts...' config panel, and don't see anything about keys in the
'Edit/Current Profile...' config panel.

There's some chance that C-SPC is being intercepted somewhere else (I thought
maybe in Gimlet or Keyboard Indicator, but removing those from the panel is no
help), but X-based emacs receives C-SPC just fine.

This is new behavior since FC1, by the way.

Thanks!!!

Comment 3 Sitsofe Wheeler 2005-01-06 22:57:44 UTC
Hmm I just tested this over vnc and mark set did appear. Which keyboard layout are you using? Do you have any non default keyboard settings (e.g. emacs keys)?

Comment 4 Matthew Miller 2006-07-10 22:50:21 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 petrosyan 2008-02-03 22:22:35 UTC
I can not reproduce this bug in Fedora 8 with gnome-terminal-2.18.3-1.fc8
Fedora Core 3 is not maintained anymore. If you can reproduce this bug in Fedora
7 or Fedora 8 please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.